Loading...
Searching...
No Matches
BALL::AtomTypes Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/atomTypes.h>`

Inheritance diagram for BALL::AtomTypes:

## Public Member Functions

Constructors and Destructors
| AtomTypes ()
| AtomTypes (const AtomTypes &atom_types)
virtual | ~AtomTypes ()
virtual bool | extractSection (Parameters &parameters, const String &section_name="AtomTypes")
Atom::Type | getType (const String &name) const
bool | hasType (const String &name) const
String | getTypeName (Atom::Type type) const
Size | getNumberOfTypes () const
Assignment
virtual void | clear ()
AtomTypes & | operator= (const AtomTypes &atom_types)
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

StringHashMap< Atom::Type > | type_map_
vector< String > | names_
bool | operator== (const AtomTypes &atom_types) const

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Force Field Atom Type Class.

Molecular Mechanics Parameter: class describing the atom type section of a parameter file.

Definition at line 28 of file atomTypes.h.

## Constructor & Destructor Documentation

## AtomTypes() [1/2]

BALL::AtomTypes::AtomTypes | ( |  | ) |

Default constructor.

## AtomTypes() [2/2]

BALL::AtomTypes::AtomTypes | ( | const AtomTypes & | atom_types | ) |

Copy constructor.

## ~AtomTypes()

virtual BALL::AtomTypes::~AtomTypes | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::AtomTypes::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ParameterSection.

## extractSection()

virtual bool BALL::AtomTypes::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name = "AtomTypes" )

virtual

Parameter extraction Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data.

## getNumberOfTypes()

Size BALL::AtomTypes::getNumberOfTypes | ( |  | ) | const

## getType()

Atom::Type BALL::AtomTypes::getType | ( | const String & | name | ) | const

Returns the numeric type for a given string.

## getTypeName()

String BALL::AtomTypes::getTypeName | ( | Atom::Type | type | ) | const

Returns the name for a given index

## hasType()

bool BALL::AtomTypes::hasType | ( | const String & | name | ) | const

Queries whether a given atom type is defined

## operator=()

AtomTypes & BALL::AtomTypes::operator= | ( | const AtomTypes & | atom_types | ) |

Assignment operator.

Parameters

  atom_types | the atom types object to be copied

## operator==()

bool BALL::AtomTypes::operator== | ( | const AtomTypes & | atom_types | ) | const

Equality operator

## Member Data Documentation

## names_

vector<String> BALL::AtomTypes::names_

protected

Definition at line 111 of file atomTypes.h.

## type_map_

StringHashMap<Atom::Type> BALL::AtomTypes::type_map_

protected

Definition at line 107 of file atomTypes.h.